Magick++: Magick::DrawableEllipse Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableEllipse Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableEllipse:
[legend]
Collaboration diagram for Magick::DrawableEllipse:
[legend]

## Public Member Functions
| DrawableEllipse (double originX_, double originY_, double radiusX_, double radiusY_, double arcStart_, double arcEnd_)
| ~DrawableEllipse (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | arcStart (double arcStart_)
double | arcStart (void) const
void | arcEnd (double arcEnd_)
double | arcEnd (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 850 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableEllipse()

Magick::DrawableEllipse::DrawableEllipse | ( | double | originX_,
|  | double | originY_,
|  | double | radiusX_,
|  | double | radiusY_,
|  | double | arcStart_,
|  | double | arcEnd_
| ) |  |
| inline

Definition at line 853 of file Drawable.h.

## ◆ ~DrawableEllipse()

Magick::DrawableEllipse::~DrawableEllipse | ( | void |  | ) |

Definition at line 669 of file Drawable.cpp.

## Member Function Documentation

## ◆ arcEnd() [1/2]

void Magick::DrawableEllipse::arcEnd | ( | double | arcEnd_ | ) |
| inline

Definition at line 917 of file Drawable.h.

## ◆ arcEnd() [2/2]

double Magick::DrawableEllipse::arcEnd | ( | void |  | ) | const
| inline

Definition at line 921 of file Drawable.h.

## ◆ arcStart() [1/2]

void Magick::DrawableEllipse::arcStart | ( | double | arcStart_ | ) |
| inline

Definition at line 908 of file Drawable.h.

## ◆ arcStart() [2/2]

double Magick::DrawableEllipse::arcStart | ( | void |  | ) | const
| inline

Definition at line 912 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableEllipse::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 678 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableEllipse::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 673 of file Drawable.cpp.

## ◆ originX() [1/2]

void Magick::DrawableEllipse::originX | ( | double | originX_ | ) |
| inline

Definition at line 872 of file Drawable.h.

## ◆ originX() [2/2]

double Magick::DrawableEllipse::originX | ( | void |  | ) | const
| inline

Definition at line 876 of file Drawable.h.

## ◆ originY() [1/2]

void Magick::DrawableEllipse::originY | ( | double | originY_ | ) |
| inline

Definition at line 881 of file Drawable.h.

## ◆ originY() [2/2]

double Magick::DrawableEllipse::originY | ( | void |  | ) | const
| inline

Definition at line 885 of file Drawable.h.

## ◆ radiusX() [1/2]

void Magick::DrawableEllipse::radiusX | ( | double | radiusX_ | ) |
| inline

Definition at line 890 of file Drawable.h.

## ◆ radiusX() [2/2]

double Magick::DrawableEllipse::radiusX | ( | void |  | ) | const
| inline

Definition at line 894 of file Drawable.h.

## ◆ radiusY() [1/2]

void Magick::DrawableEllipse::radiusY | ( | double | radiusY_ | ) |
| inline

Definition at line 899 of file Drawable.h.

## ◆ radiusY() [2/2]

double Magick::DrawableEllipse::radiusY | ( | void |  | ) | const
| inline

Definition at line 903 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp